Subject: [pkix] Recommended Language for a Security Issue

From: "Henry B. Hotz" <[email-masked]>
Date: Tue, 19 Apr 2011 17:52:00 -0700

I still don't think I have this right.  My latest iteration on the warning label to go in the draft-hotz-kx509 (not yet submitted) is:

   The public key in the request is sent in the clear, and without any
   guarantees that the requestor actually possesses the corresponding
   private key.  Therefore the only appropriate uses of the returned
   certificate are those where the subsequent use independently
   guarantees that the user possesses the private key.  In particular
   the returned certificate MUST NOT be used for durable signatures of
   application data unless the application's use is appropriately
   structured, or the identity of the signer is not important.

In less formal terms: the public key in the request could be sniffed by someone and they could send their own request with the same public key.  Then there would exist two certs whose keys would match something signed by the first requestor.  That might support a form of plagiarism.

Is the above language good enough?  I'm specifically concerned that my use of the term "durable" may not be standard enough for the weight it carries.
------------------------------------------------------
The opinions expressed in this message are mine,
not those of Caltech, JPL, NASA, or the US Government.
[email-masked], or [email-masked]